from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XRowSetApproveListener(XEventListener, Protocol):
    def approveCursorMove(self, event: EventObject) -> bool: ...
    def approveRowChange(self, event: inRowChangeEvent) -> bool: ...
    def approveRowSetChange(self, event: EventObject) -> bool: ...
